Bug 146718 - [GTK] Layout test accessibility/aria-hidden-false-works-in-subtrees.html fails after r184890
Summary: [GTK] Layout test accessibility/aria-hidden-false-works-in-subtrees.html fail...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-07-08 04:20 PDT by Carlos Alberto Lopez Perez
Modified: 2019-04-11 01:25 PDT (History)
14 users (show)

See Also:


Attachments
Patch (10.13 KB, patch)
2019-04-10 05:48 PDT, Carlos Garcia Campos
jdiggs: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Alberto Lopez Perez 2015-07-08 04:20:19 PDT
On platform GTK the test accessibility/aria-hidden-false-works-in-subtrees.html fails after r184890 <http://trac.webkit.org/r184890>

The diff is the following:

https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20%28Tests%29/r184890%20%288846%29/accessibility/aria-hidden-false-works-in-subtrees-pretty-diff.html
Comment 1 Radar WebKit Bug Importer 2015-07-08 04:20:52 PDT
<rdar://problem/21722487>
Comment 2 Carlos Garcia Campos 2019-04-10 05:48:02 PDT
Created attachment 367115 [details]
Patch
Comment 3 Michael Catanzaro 2019-04-10 07:37:22 PDT
This looks like one for Joanie.
Comment 4 Joanmarie Diggs (irc: joanie) 2019-04-10 08:20:58 PDT
Comment on attachment 367115 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=367115&action=review

> Source/WebCore/accessibility/atk/WebKitAccessible.cpp:1185
> +        || role == AccessibilityRole::ApplicationGroup;

Fine. BUT this reminds me that we really should be implementing AtkText on most things with text (i.e. I'd think pretty much anything which is not a non-text widget). Not this bug, of course....
Comment 5 Joanmarie Diggs (irc: joanie) 2019-04-10 09:11:13 PDT
(In reply to Joanmarie Diggs (irc: joanie) from comment #4)
> Comment on attachment 367115 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=367115&action=review
> 
> > Source/WebCore/accessibility/atk/WebKitAccessible.cpp:1185
> > +        || role == AccessibilityRole::ApplicationGroup;
> 
> Fine. BUT this reminds me that we really should be implementing AtkText on
> most things with text (i.e. I'd think pretty much anything which is not a
> non-text widget). Not this bug, of course....

Just filed https://bugs.webkit.org/show_bug.cgi?id=196769.
Comment 6 Carlos Garcia Campos 2019-04-11 01:25:43 PDT
Committed r244187: <https://trac.webkit.org/changeset/244187>